[FFmpeg-devel] [PATCH] restoring binary compatibility with ffmpeg 0.5

Måns Rullgård mans
Mon Jun 7 00:46:30 CEST 2010

Reimar D?ffinger <Reimar.Doeffinger at gmx.de> writes:

> On Sun, Jun 06, 2010 at 11:29:16PM +0100, M?ns Rullg?rd wrote:
>> Reimar D?ffinger <Reimar.Doeffinger at gmx.de> writes:
>> > We'd then be down to only breaking compatibility on some platforms and
>> > only to some versions (not to 0.5).
>> A partial fix is no fix IMO, which leaves three possibilities:
> Just out of curiosity: it was only my guess it breaks compatibility on
> some platforms, do you know of any it will?
> Anything GNU should be fine due to the .symver, others might work due
> to the linker script...

It _will_ fail on anything supporting version scripts but not using
the GCC and the GNU assembler.  That description covers most non-gcc
compilers on a Linux system.

M?ns Rullg?rd
mans at mansr.com

More information about the ffmpeg-devel mailing list